amazon-product-search-results is a nodejs package to search product on amazon and get search results automatically using browser automation. 
It currently runs only on windows.

### Installation

```sh
npm install amazon-product-search-results
```

### Example
In this example we first import package, then we search keyword and get search results.
```sh
var amazon=require("amazon-product-search-results");

function print_data(response){
	var data=response["body"]
	console.log("products data",data)
}
function get_data(){
	amazon.search_results(print_data)
}
amazon.search("keyword",get_data)

```

### Youtube Video
[![](http://img.youtube.com/vi/frbGCB7Rbu0/0.jpg)](https://www.youtube.com/watch?v=frbGCB7Rbu0 "")

#### DataKund
[datakund](https://www.npmjs.com/package/datakund) is needed for browser automation. As soon as this package is imported in code, automated browser will open up.


### Import
```sh
var amazon=require("amazon-product-search-results");
```

### Search keyword
```sh
amazon.search("keyword")
```

### Get search results
```sh
amazon.search_results()
```

### Contact Us
* [Telegram](https://t.me/datakund)
* [Website](https://datakund.com)

